import request from '@/utils/request'

// 设备能耗查询
export function equipentEnergyList(data) {
    return request({
        url: '/energy/selectequipmentEnergy',
        method: 'post',
        data
    })
}

//公司列表
export function getcompanList(query) {
    return request({
        url: '/energy/companList',
        method: 'get',
        params: query
    })
}

// 查询楼栋
export function getbuildingList() {
    return request({
        url: '/energy/findAllBuilding',
        method: 'get',
    })
}

export function getbuildingListid(query) {
    return request({
        url: '/energy/findAllBuildingId',
        method: 'get',
        params: query
    })
}

// 查询楼层
export function getFloorList(query) {
    return request({
        url: '/energy/findAllFloorByBuildingId',
        method: 'get',
        params: query
    })
}

// 查询区域
export function getWorkShopList(query) {
    return request({
        url: '/energy/findAllWorkshopByFloorId',
        method: 'get',
        params: query
    })
}

// 查询设备
export function getEquipentList(data) {
    return request({
        url: '/energy/findAllDeviceByWorkshop',
        method: 'post',
        data
    })
}


// 设备监控导出
export function exportEquipent(data) {
    return request({
        url: '/energy/monitoring/equipmentByReport',
        method: 'post',
        data
    })
}

// 设备监控导出
export function exportWorkShop(data) {
    return request({
        url: '/energy/monitoring/workshopByReport',
        method: 'post',
        data
    })
}

// 设备监控导出
export function exportBuild(data) {
    return request({
        url: '/energy/monitoring/buildingByReport',
        method: 'post',
        data
    })
}


// 设备同比环比
export function getBaseYear(data) {
    return request({
        url: '/energy/monitoring/baseYear',
        method: 'post',
        data
    })
}
